Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface LabeledStatementTree

All Superinterfaces:
  StatementTree, Tree

    public interface LabeledStatementTree
    extends StatementTree

A tree node for a labeled statement. For example:

       label : statement

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLabel()` Returns the label associated with this statement.
`StatementTree` `getStatement()` Returns the statement being labeled.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getLabel

    String getLabel()

Returns the label associated with this statement.

Returns:
  the label

#### getStatement

    StatementTree getStatement()

Returns the statement being labeled.

Returns:
  the statement labeled